Bug 161287 - Boot freeze when loading pcmcia services
Boot freeze when loading pcmcia services
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 21:50 EDT by Lilian Pfister
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 09:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lilian Pfister 2005-06-21 21:50:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When I boot my laptop (Toshiba Satellite M30x-125), the system freezes when loading the PCMCIA services. I have installed and re-installed FC4 with the same result. I have installed FC4 on my desk machine (which does not have PCMCIA) and the boot is OK.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start the laptop
2.
3.
  

Actual Results:  The system freezes.

Expected Results:  Boot process should have continued.

Additional info:
Comment 1 Russell Strong 2005-06-22 06:06:14 EDT
Also happens on Toshiba Tecra S2.  No cards plugged in.  Had to boot runlevel 1
and disable pcmcia to get the system booted.  Tryed again after booted by
executing "/etc/init.d/pcmcia start".  Locked up cold.

Output from lspci

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem
Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce Go 6600]
(rev a2)
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 Gigabit
Ethernet Controller (rev 15)
06:02.0 Network controller: Intel Corporation PRO/Wireless 2915ABG MiniPCI
Adapter (rev 05)
06:04.0 CardBus bridge: Texas Instruments Texas Instruments PCIxx21/x515 Cardbus
Controller
06:04.1 CardBus bridge: Texas Instruments Texas Instruments PCIxx21/x515 Cardbus
Controller
06:04.2 FireWire (IEEE 1394): Texas Instruments Texas Instruments OHCI Compliant
IEEE 1394 Host Controller
06:04.3 Unknown mass storage controller: Texas Instruments Texas Instruments
PCIxx21 Integrated FlashMedia Controller
06:04.4 Class 0805: Texas Instruments Texas Instruments PCI6411, PCI6421,
PCI6611, PCI6621, PCI7411, PCI7421, PCI7611, PCI7621 Secure Digital (SD)
Comment 2 Richard Körber 2005-06-26 18:26:28 EDT
Also on an Acer TravelMate 4600 notebook, with no cards plugged in. It was
working fine with FC3, but froze at first boot of a clean FC4 installation already.

lspci:

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 04)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 2 (rev 04)
00:1c.2 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 3 (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 04)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 04)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 04)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 04)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 04)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem
Controller (rev 04)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc M24 1P [Radeon Mobility
X600]
06:01.0 CardBus bridge: Texas Instruments Texas Instruments PCIxx21/x515 Cardbus
Controller
06:01.2 FireWire (IEEE 1394): Texas Instruments Texas Instruments OHCI Compliant
IEEE 1394 Host Controller
06:01.3 Unknown mass storage controller: Texas Instruments Texas Instruments
PCIxx21 Integrated FlashMedia Controller
06:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
06:08.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5788 Gigabit
Ethernet (rev 03)
Comment 3 Mauro Innocenti 2005-06-27 05:05:22 EDT
Same problem on Sony Vaio VGN-S3XP.

lspci output:
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1b.0 Class 0403: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation: Unknown device 0167 (rev a1)
06:05.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
06:05.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port
PHY/Link-Layer Controller
06:05.3 Unknown mass storage controller: Texas Instruments PCI7420/PCI7620 Dual
Socket CardBus and Smart Card Cont. w/ 1394a-2000 OHCI Two-Port  PHY/Link-Layer
Cont. an
06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE
(LOM) Ethernet Controller Mobile (rev 03)
06:0b.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
Comment 4 Jose Maria Ferri 2005-07-01 11:07:04 EDT
Same problem with Toshiba M30X-144
lspci:
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to
I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to AGP
Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon
9600 M10]
02:00.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:02.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
02:04.0 CardBus bridge: ENE Technology Inc CB-710/2/4 Cardbus Controller
02:04.1 FLASH memory: ENE Technology Inc: Unknown device 0530
02:04.2 Class 0805: ENE Technology Inc: Unknown device 0550
02:04.3 FLASH memory: ENE Technology Inc: Unknown device 0520
Comment 5 Jose Maria Ferri 2005-07-01 11:24:19 EDT
I solved it, but that is not a right solution: I disabled acpi and pcmcia starts
ok, but with acpi disabled, processor speed can't be controlled by Fedora and it
is allways running at maximun speed (My laptop is a 1.8 Ghz Centrino and it ran
at 600 Mhz most time, just at 1.8 Ghz when really needed). Better solution would
be appreciated.
Comment 6 Pete Zaitcev 2005-07-01 12:09:08 EDT
I was afraid you'd say that. Lilian, what about you?
Comment 7 Richard Körber 2005-07-01 12:24:22 EDT
Regarding the Acer TravelMate 4600: I cannot turn off ACPI in the BIOS, but when
I boot with "acpi=off" kernel option, the pcmcia service indeed starts just fine.
Comment 8 Jose Maria Ferri 2005-07-03 14:43:49 EDT
Well, I just boot with acpi=off kernel option too, I can't either disable ACPI
in the BIOS.
Comment 9 Mauro Innocenti 2005-07-05 03:20:09 EDT
I confirm that with "acpi=off" boot option my Sony Vaio VGN-S3XP starts OK the
PCMCIA service (and the Card manager load correctly some PC Cards).
Comment 10 Mauro Innocenti 2005-07-20 11:55:01 EDT
Executing step by step the "/etc/init.d/pcmcia" boot script, it seem's that my
laptop (Sony Vaio VGN-S3XP) get freezeed when it try to execute this code (line
106):

/sbin/modprobe ds || break
Comment 11 Lilian Pfister 2005-07-21 17:30:54 EDT
Finally, I have deactivated PCMCIA services. I used it because I wasn't able to
use my internal wifi card. I managed to configure FC4 so that it use the
internal card and I have no more use of PCMCIA (for the moment).
Comment 12 Dominik Mierzejewski 2005-12-14 15:23:23 EST
Same thing on Acer TravelMate 8100.
# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1b.0 Class 0403: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 04)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 2 (rev 04)
00:1c.2 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 3 (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 04)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 04)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 04)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 04)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X700 (PCIE)
05:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG MiniPCI
Adapter (rev 05)
05:06.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5788 Gigabit
Ethernet (rev 03)
05:07.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000
Controller (PHY/Link)
05:09.0 CardBus bridge: O2 Micro, Inc. OZ711M3/MC3 4-in-1 MemoryCardBus Controller
05:09.1 CardBus bridge: O2 Micro, Inc. OZ711M3/MC3 4-in-1 MemoryCardBus Controller
05:09.2 System peripheral: O2 Micro, Inc. OZ711Mx 4-in-1 MemoryCardBus Accelerator
05:09.3 CardBus bridge: O2 Micro, Inc. OZ711M3/MC3 4-in-1 MemoryCardBus Controller

I did go to init 1 and tried starting manually:
# service pcmcia start
Starting PCMCIA services: cs: memory probe 0xc8200000-0xc82fffff: excluding
0xc8200000-0xc821ffff
cardmgr[3607]: watching 3 sockets
cs: IO port probe 0xc00-0xcff: excluding 0xcf8-0xcff
cs: IO port probe 0xc00-0xcff: excluding 0xcf8-0xcff
cs: IO port probe 0xc00-0xcff: excluding 0xcf8-0xcff
cs: IO port probe 0x800-0x8ff:

... and this is where it freezes.
Comment 13 Dominik Mierzejewski 2005-12-14 16:09:03 EST
The following diff fixes it for me.
Credits to: http://www.aalbiol.upv.es/ACER.html

--- /etc/pcmcia/config.opts.bak 2005-03-02 20:14:57.000000000 +0100
+++ /etc/pcmcia/config.opts     2005-12-14 21:40:06.000000000 +0100
@@ -16,7 +16,8 @@
 # the PCI hotplug subsystem.
 #

-include port 0x100-0x4ff, port 0x800-0x8ff, port 0xc00-0xcff
+#include port 0x100-0x4ff, port 0x800-0x8ff, port 0xc00-0xcff
+include port 0x100-0x4ff, port 0xc00-0xcff
 include memory 0xc0000-0xfffff
 include memory 0xa0000000-0xa0ffffff, memory 0x60000000-0x60ffffff

Comment 14 mathieu clabaut 2005-12-18 05:41:11 EST
Same problem on Sony Vaio VGN-S3HP.
It worked well with FC3, but freeze when launching pcmcia service in FC4 (tried
several kernels, from 2.6.11 to 2.6.14). Stepping manually into
/etc/init.d/pcmcia, the computer freeze when launching cardmgr.

lspci output:
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1b.0 Class 0403: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce Go 6200 TurboCache
(rev a1)
06:05.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
06:05.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port
PHY/Link-Layer Controller
06:05.3 Mass storage controller: Texas Instruments PCI7420/PCI7620 Dual Socket
CardBus and Smart Card Cont. w/ 1394a-2000 OHCI Two-Port  PHY/Link-Layer Cont. an
06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE
(LOM) Ethernet Controller Mobile (rev 03)
06:0b.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
Comment 15 Jose Maria Ferri 2005-12-19 18:56:12 EST
It works!, it works! Thanks Dominik Mierzejewski!!!!
File "config.opts" from http://www.aalbiol.upv.es/ACER.html (jejeje, spanish
man, like me, and very close to my city) makes PCMCIA service works in my
Toshiba M30X-144

Thanks again, I'm very happy.
Comment 16 mathieu clabaut 2005-12-25 08:00:05 EST
Yes !
Applied the diff (see Comment #13 From Dominik Mierzejewski herebefore) and it
works (on sony vaio VGN S3HP).
Now, I'd like to know how the original poster has find that trick... :-)

Anyway, thank you very much.

Comment 17 Prarit Bhargava 2006-01-02 10:31:32 EST
Pete,

I just saw your blog post.  I'm "haunted" by this on my Compaq R3000z laptop
(AMD64, 1.5G) running both RHEL4 and Fedora.

/start workaround

The setup on this system is that the CardBus device doesn't sit on the the main
PCI bus (bus 0) and sits on another bus.  So you have to tell pcmcia where the
bus is ... in my case:

[root@localhost sbin]# /sbin/lspci -s 0:a.0 -vv
00:0a.0 PCI bridge: nVidia Corporation nForce3 PCI Bridge (rev a2) (prog-if 00
[Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=02, subordinate=0a, sec-latency=128
        I/O behind bridge: 00003000-00007fff
        Memory behind bridge: e0100000-e17fffff
        Secondary status: 66Mhz- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-

So I added 

include port 0x3000-0x7fff, memory 0xe0100000-0xe17fffff

to /etc/pcmcia/config.opts ...

I still noticed an occasional hang about 10% of the time* and tracked it down
to the pcmcia service doing a probe/setup/bit-twiddling of the IO addresses
between 0x3000-0x7fff.  Please note, I haven't done any detailed investigation
of the code yet :(

Anyway, to prevent that from happening I did a 

CORE_OPTS="probe_io=0"

in the /etc/init.d/pcmcia file.

/end workaround

This probably effects the sony and toshiba above in the same manner -- IMO this
is a combination of the pcmcia driver not properly identifying the CardBus
device addresses and attempting to bit-twiddle the IO ports of the CardBus device.  

* I can't understand why it's only happening 10% of the time.  I would have
thought that the effect would be much more dramatic -- maybe 50 to 75% of the
time?  I guess it could be a timing window ...
Comment 18 John Thacker 2006-10-29 18:13:08 EST
pcmcia-cs is obsolete and has been removed from Fedora Core.  It is not present
in FC5 or FC6, the only fully supported versions of Fedora Core.  (FC3 and FC4
are supported by Fedora Legacy for security fixes only.)  It has been replaced
by pcmciautils.  Due to the change in codebase, can you please retest this bug
against pcmciautils in FC5 or FC6?  If the bug is still present there, please
change the Component to pcmciautils and the version appropriately.  Thanks!

If there is no response within several weeks, the bug will be closed.
Comment 19 John Thacker 2007-01-03 09:51:03 EST
Per the previous comment, closing bug since pcmcia-cs is no longer supported. 
If a similar bug still exists in pcmciautils, the replacement for pcmcia-cs,
please reopen the bug or file a new one.

Note You need to log in before you can comment on or make changes to this bug.